Subject: Re: [pim] DR election ...

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Tue, 10 Nov 2015 14:54:59 +0000

[ + PIM  ]

There also have been discussions in PIM to consider VRRP status when doing PIM DR election.

Jeffrey

From: [email-masked] [mailto:[email-masked]] On Behalf Of Robert Raszuk
Sent: Tuesday, November 10, 2015 8:10 AM
To: IJsbrand Wijnands <[email-masked]>
Cc: Jeffrey (Zhaohui) Zhang <[email-masked]>; Haoweiguo <[email-masked]>; [email-masked]
Subject: Re: [Bier] DR election ...

Hi Ice,

Well to be clear I am not suggesting to modify VRRP here.

I am simply observing that unicast and multicast forwarding will be different and likely multicast may use unicast standby router.

Perhaps this is ok .... but I am not sure if this is desired operationally.

Cheers,
r.

On Tue, Nov 10, 2015 at 12:02 PM, IJsbrand Wijnands <[email-masked]<mailto:[email-masked]>> wrote:
Hi Robert,

I thought some more about this topic after our discussion at IETF.

VRRP is probably not good to use because it is possible there is a router on the LAN that may not be BIER capable, but will be elected by VRRP to be the default gateway for unicast. Also, it is very likely we want to define a per Group based DR election to share the load if there are multiple BIER capable routers on the LAN. It does not seem right to modify VRRP to support that.

Thx,

Ice.

> On 10 Nov 2015, at 11:04, Robert Raszuk <[email-masked]<mailto:[email-masked]>> wrote:
>
> Hi Jeffrey,
>
> - While Ice’s DR election draft was triggered from using IGMP/MLD to replace PIM for multicast overlay signaling in a BIER domain and the draft has some BIER keywords in it, it is really independent of BIER. The draft is still applicable if BIER had never happened.
>
>
>
> ​So let me understand why this came up just now ? How does current deployments deal with the problem ?
>
> If I recall the slides the topology Ice presented was ​following:
>
>
> R1              R2
>  |                  |
>  -------------------
>           |
>         H1
>
>
> where R1 and R2 are two routers terminating BIER domain and H1 is a host. All connected over single VLAN/LAN via some L2 switch
>
> My point was that in the above case R1 and R2 would run VRRP and look as single gateway from H1 point of view. At least for unicast.
>
> The alternative would be theoretically to configure on H1 two default routes and let H1 perform L3 load balancing. However the problem here is that H1 would not be normally able to detect R1 or R2 liveness hence likely it send packets there till arp entry of dead router would timeout.
>
> Now the key question is how does IGMP work with VRRP for multicast today ?
>
> From what I was able to find PIM and VRRP could work together. But the R1 and R2 interfaces towards H1 are not really enabled for PIM are they ?
>
> Many thx,
> r.
>
>
>
>